### Method

# Vips Image heifsave_target

#### Declaration [src]

    int
    vips_heifsave_target (
      VipsImage* in,
      VipsTarget* target,
      ...
    )

#### Description [src]

As `vips_heifsave()`, but save to a target.

Optional arguments

- `Q`: `gint`, quality factor
- `bitdepth`: `gint`, set write bit depth to 8, 10, or 12 bits
- `lossless`: `gboolean`, enable lossless encoding
- `compression`: `VipsForeignHeifCompression`, write with this compression
- `effort`: `gint`, encoding effort
- `subsample_mode`: `VipsForeign`Subsample, chroma subsampling mode
- `encoder`: `VipsForeign`HeifEncoder, select encoder to use

See also

`vips_heifsave()`, `vips_image_write_to_target()`.

This method is not directly available to language bindings.

#### Parameters

`target`

  Type: `VipsTarget`

  Save image to this target.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.